%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

Name:           python-pbkdf2
Version:        1.3
Release:        2%{?dist}
Summary:        An module of a password-based key derivation function
Group:          Development/Languages
License:        ASL 2.0 
URL:            https://www.dlitz.net/software/python-pbkdf2/
Source0:        https://pypi.python.org/packages/source/p/pbkdf2/pbkdf2-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%description
A pure Python Implementation of the password-based key derivation function,
PBKDF2, specified in RSA PKCS#5 v2.0.

%prep
%setup -q -n pbkdf2-%{version}

#remove egg-info
rm -rf pbkdf2.egg-info

# remove shebang
sed -i 1d pbkdf2.py

%build
%{__python2} setup.py build

%install
rm -rf %{buildroot}
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc PKG-INFO
%{python2_sitelib}/*

%changelog
* Tue Jan 27 2015 Samuel Gyger <gygers@fsfe.org> - 1.3-2
- Fixed to be only for python2
* Tue Jan 27 2015 Samuel Gyger <gygers@fsfe.org> - 1.3-1
- Created the initial packaging for pkbdf2 on fedora.
